package com.selesse.android.winedb.winescraper.impl;

import com.google.common.collect.Lists;
import com.selesse.android.winedb.database.Wine;
import com.selesse.android.winedb.winescraper.AbstractWineResponse;
import com.selesse.android.winedb.winescraper.WineResponse;

import java.util.List;

public class UPCDatabaseOrgResponse extends AbstractWineResponse implements WineResponse {
    // unused, but needed for GSON
    private String valid;
    private String reason;
    private String itemName;
    private String description;
    private String price;

    @Override
    public int getResultsSize() {
        if (valid.equals("false")) {
            return 0;
        }
        return 1;
    }

    @Override
    public List<Wine> convertResponsesToWineList() {
        List<Wine> wines = Lists.newArrayList();
        Wine wine = new Wine();
        wine.setName(itemName);
        wine.setDescription(description);
        if (!price.equals("0.00")) {
            wine.setPrice(price);
        }
        wines.add(wine);
        return wines;
    }
}
